package nlib.user.service;

import java.io.Serializable;
import java.util.Base64;

import nlib.cmm.NlibCommonController;
import nlib.util.StringUtil;

/**
 * <pre>
 * @Class Name : MemberSiteVO.java
 * 
 * @Description : 가입문화원정보
 * 
 * 
 * @프로젝트명: 지방문화원 통합자료관리시스템 구축사업 (2021)
 *
 * </pre>
 *
 * @ ------------    --------    ---------------------------
 * @ 수정일                     수정자             수정내용
 * @ ------------    --------    ---------------------------
 * @ 2021. 9. 02.    JSYOO       최초 생성
 * 
 * @author 이씨플라자 * DIGITALSHIP JSYOO
 * @since 2021. 7. 12.
 * @version 1.0
 *
 */
public class MemberSiteVO implements Serializable {
	
	private static final long serialVersionUID = -8274004534207618049L;

	/* MB_SITE : 가입문화원 정보 */
	private String mbSiteId;		/* 회원인덱스 */
	private String mbInfoId;		/* 회원아이디 (ex: M1000000001) */
	private String joinType;			/* 가입유형 SNS 및 로그인을 연계하는 포털시스템 아이디(naver, daum 등) */
	private String joinAgreeDd;		/* 가입동의일자 */
	private String joinCouncilCd;		/* 가입문화원코드 */
	private String masterYn;			/* 대표여부 */
	private String ipNotUse;			/* 접속아이피 */
	private String lastAccessDdNotUse;			/* 마지막접근일자 */

	//----------------------------------------------------------------
	// SETTER.GETTER
	//----------------------------------------------------------------
	public String getMbSiteId() {
		return mbSiteId;
	}
	public void setMbSiteId(String mbSiteId) {
		this.mbSiteId = mbSiteId;
	}
	public String getMbInfoId() {
		return mbInfoId;
	}
	public void setMbInfoId(String mbInfoId) {
		this.mbInfoId = mbInfoId;
	}
	public String getJoinType() {
		return joinType;
	}
	public void setJoinType(String joinType) {
		this.joinType = joinType;
	}
	public String getJoinAgreeDd() {
		return joinAgreeDd;
	}
	public void setJoinAgreeDd(String joinAgreeDd) {
		this.joinAgreeDd = joinAgreeDd;
	}
	public String getJoinCouncilCd() {
		return joinCouncilCd;
	}
	public void setJoinCouncilCd(String joinCouncilCd) {
		this.joinCouncilCd = joinCouncilCd;
	}
	public String getMasterYn() {
		return masterYn;
	}
	public void setMasterYn(String masterYn) {
		this.masterYn = masterYn;
	}
	public String getIpNotUse() {
		return ipNotUse;
	}
	public void setIpNotUse(String ipNotUse) {
		this.ipNotUse = ipNotUse;
	}
	public String getLastAccessDdNotUse() {
		return lastAccessDdNotUse;
	}
	public void setLastAccessDdNotUse(String lastAccessDdNotUse) {
		this.lastAccessDdNotUse = lastAccessDdNotUse;
	}
}
